Deployments
The following is the API reference for working with Ocean deployments.
Create a deployment
Deploy an Ocean template.
Request
POST /v0/deployments HTTP1.1
Authorization: Bearer {token}
{template body}Response
HTTP 202Check out https://github.com/mobingi/ocean-template-examples for examples about {template body}. For details on how to write Ocean templates, check out this reference.
List deployments
Get a list of available deployments.
REQUEST
GET /v0/deployments HTTP1.1
Authorization: Bearer {token}
---
RESPONSE
HTTP 200
tbdDescribe a deployment
Describe a specific deployment based on name.
Request
{name} is the template (or deployment) name.
Response
Delete a deployment
Delete a deployment and all associated applications and resources.
Request
{name} is the template (or deployment) name. For templates that have dependency to other templates, API will return error stating the dependency. If the parameter force=true is specified, the template resources will be deleted including all dependencies.
Response
For successful responses, server will return HTTP 202. Errors will return HTTP 422.
Last updated